test_concepts::B Struct Reference

## Public Member Functions

| B (int b=0)
| B (const B &)=default
| B (B &&)=default
B & | operator= (const B &)=default
B & | operator= (B &&)=default

## Public Attributes

int | b_

## Detailed Description

Definition at line 72 of file TConcepts.cpp.

## Constructor & Destructor Documentation

## B() [1/3]

test_concepts::B::B | ( | int | b = `0` | ) |

inline

Definition at line 75 of file TConcepts.cpp.

## B() [2/3]

test_concepts::B::B | ( | const B & |  | ) |

default

## B() [3/3]

test_concepts::B::B | ( | B && |  | ) |

default

## Member Function Documentation

## operator=() [1/2]

B& test_concepts::B::operator= | ( | const B & |  | ) |

default

## operator=() [2/2]

B& test_concepts::B::operator= | ( | B && |  | ) |

default

## Member Data Documentation

## b_

int test_concepts::B::b_

Definition at line 73 of file TConcepts.cpp.

The documentation for this struct was generated from the following file:

- test/tests/TConcepts.cpp